Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class DefaultPropertyProvider

    java.lang.Object
      com.bea.content.expression.DefaultPropertyProvider

All Implemented Interfaces:
  PropertyProvider

public class DefaultPropertyProvider
extends Object
implements PropertyProvider

A generic implementation of a property provider, that supports user, request, session, and event properties.

Constructor Summary
`DefaultPropertyProvider()` Empty constructor.
`DefaultPropertyProvider(ProfileWrapper userWrapper, Request request, Session session, Event event)` Create a new PropertyProvider, initializing possible sources for the property value.
`DefaultPropertyProvider(String userId, Request request, Session session, Event event)` Create a new PropertyProvider, initializing possible sources for the property value.

Method Summary
`Object` | `getProperty(String propertySetType, String propertySet, String propertyName)` Retrieve a property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPropertyProvider

    public DefaultPropertyProvider()

  Empty constructor.

### DefaultPropertyProvider

    public DefaultPropertyProvider(String userId,
                                   Request request,
                                   Session session,
                                   Event event)
                            throws ProfileNotFoundException

  Create a new PropertyProvider, initializing possible sources for the property value. All parameters are optional.

Parameters:
  `userId` - String representation of the user
  `request` - The request object
  `session` - The session object
  `event` - The event object
Throws:
  `ProfileNotFoundException` - when the ProfileWrapper cannot be found for the passed in userId

### DefaultPropertyProvider

    public DefaultPropertyProvider(ProfileWrapper userWrapper,
                                   Request request,
                                   Session session,
                                   Event event)

  Create a new PropertyProvider, initializing possible sources for the property value. All parameters are optional.

Parameters:
  `userWrapper` - The profile wrapper of the user
  `request` - The request object
  `session` - The session object
  `event` - The event object

Method Detail

### getProperty

    public Object getProperty(String propertySetType,
                              String propertySet,
                              String propertyName)
                       throws IllegalArgumentException

  Retrieve a property value.

  Specified by:
    `getProperty` in interface `PropertyProvider`
  Parameters:
    `propertySetType` - the type of property set (user, request, session, event).
    `propertySet` - the name of the property set.
    `propertyName` - the name of the property.
  Returns:
    the property value or null.
  Throws:
    `IllegalArgumentException` - if an arg is invalid or the PropertyProvider isn't configured for the specified args.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved